## org.apache.xerces.impl.dv.xs
Class YearDV

    java.lang.Object
      org.apache.xerces.impl.dv.xs.TypeValidator
          org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
              org.apache.xerces.impl.dv.xs.YearDV

public class YearDV
extends AbstractDateTimeDV

Validator for <gYear> datatype (W3C Schema Datatypes)

Version:
  $Id: YearDV.java,v 1.7 2003/01/16 18:34:04 sandygao Exp $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystem Inc.

Field Summary

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`CY, D, DAY, h, hh, m, M, mm, MONTH, ms, s, TOTAL_SIZE, utc, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`YearDV()`

Method Summary
`protected java.lang.String` `dateToString(int[] date)` Converts year object representation to String
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)` Convert a string to a compiled form
`protected int[]` `parse(java.lang.String str)` Parses, validates and computes normalized version of gYear object

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`append, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getTime, getTimeZone, getYearMonth, indexOf, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, resetDateObj, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YearDV

    public YearDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Convert a string to a compiled form

  Specified by:
    `getActualValue` in class `TypeValidator`
  Parameters:
    `content` - The lexical representation of time
  Returns:
    a valid and normalized time object
  Throws:
    `InvalidDatatypeValueException`

### parse

    protected int[] parse(java.lang.String str)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of gYear object

  Parameters:
    `str` - The lexical representation of year object CCYY with possible time zone Z or (-),(+)hh:mm
  Returns:
    normalized date representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(int[] date)

  Converts year object representation to String

  Overrides:
    `dateToString` in class `AbstractDateTimeDV`
  Parameters:
    `date` - year object
  Returns:
    lexical representation of month: CCYY with optional time zone sign

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.